package fr.plil.sio.persistence.jdbc;

import fr.plil.sio.persistence.api.Group;
import fr.plil.sio.persistence.api.Right;

public interface GroupRepository {

    Group findByName(String name);

    void delete(Long id);

    void save(Group group);
    
    void removeRight(Long right, Long group);
    
    void addRight(Right right, Group group);
}
